/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.export
 *  ファイル：ExportReportFactory.java
 *  説明：
 *
 *  作成日: 2004/01/31
 */
package openolap.viewer.export;

import openolap.viewer.User;

/**
 *  クラス：ExportReportFactory
 *  説明：
 */
public class ExportReportFactory {


	public ExportReport getExportReport(User user) {
		
		if (user.getExportFileType().equals("csv")){
			return new ExportReportAsCSV();
		} else if (user.getExportFileType().equals("excel2002")) {
			return new ExportReportAsExcel2002();
		} else {
			return null;
		}		

	}

}
